Reference
Sponsored ads request
Section titled “Sponsored ads request”POST /v1/_deliver
Section titled “POST /v1/_deliver”Deliver contextual ads
Example
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "visitor": "string", "alias": "string", "placement": "plp", "slots": [ { "id": "sp", "max": 3 } ], "category": "catId1", "listed_products": { "ids": ["id1","id2","id3","id4","id5","id6","id7"], "page": 1, "sort": "relevance", "total": 135 }, "extra": { "device": "mobile", "os": "ios", "url": "/cat-pages/cat-corresponding-to-cat-id-1/", "store": "141", "vz_preview":"xiLvzAwJ9k6K1IrEKfIE" }}Search example
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "placement": "search", "slots": [ { "id": "sp", "max": 6 } ], "search_terms": "your search keywords", "extra": { "device": "app", "os": "ios" }}PDP example
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "placement": "pdp", "slots": [ { "id": "slider", "max": 15 } ], "product": { "id": "sku910d", "categories": ["c290", "c2902", "c29023"], "price": 456.90, "availability": "in stock", "rating": 4.2, "reviews": 1690 }}Home example
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "placement": "home", "slots": [ { "id": "ban-970x250" }, { "id": "slider", "max": 10 } ],}Recording of events
Section titled “Recording of events”POST /v1/_event
Section titled “POST /v1/_event”Track events (display, view, click)
List of Tracked Events
Section titled “List of Tracked Events”| event | Performance metric | Description |
|---|---|---|
| display | Display | A display occurs whenever an ad is loaded |
| view | View | A view occurs whenever an ad becomes visible |
| click | Click | A click occurs whenever a customer clicks an ad |
| view_s2 | 2 second view | The video was watched for at least 2 seconds |
| view_s5 | 5 second view | The video was watched for at least 5 seconds |
| view_q1 | Video first quartile | The user watched 25% of the video ad |
| view_m | Video midpoint | The user reached the midpoint of the video ad |
| view_q3 | Video third quartile | The user watched 75% of the video ad |
| view_f | Video complete | The video was watched to completion (100%) |
| unmute | Video unmute | The user manually unmuted the video during playback |
Example
POST https://[retailer-endpoint]/v1/_eventx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "display": [ "tYdH1JZroRdc01NHb5o-b0T9b9kVBHnYTfy1OXoANGhEweHLwIJEN-1W", "qSUaO_EYpgShat8p8-bm_wiskKYotoBDbwMVU-8li2lO8KC-J8nFyvB21u" ]}Report purchase
Section titled “Report purchase”POST /v1/_purchase
Section titled “POST /v1/_purchase”Report transaction (purchase)
Example
POST https://[retailer-endpoint]/v1/_purchasex-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "visitor" : "string", "alias" : "string", "purchase_id" : "string", "purchase_date": "string (iso date)" , "currency" : "string (iso currency code)", "items": [ { "product_id" : "string", "price" : number, "quantity": number, "offer_id" : "string", "seller_id" : "string", "seller" : "string", "brand" : "string" } ]}